#ifndef __MATH_HELPERS_H
#define __MATH_HELPERS_H

float constrain(float in, float min, float max);
float constrain_norm(float *x, float *y, float coeffx, float coeffy, float max);
float map(float x, float in_min, float in_max, float out_min, float out_max);
float fminf(float, float);
float fmaxf(float, float);

float acbrt(float x);
float aatan2(float q, float d);

#define M_PI 3.14159f

#endif